org.apache.http.impl.client.cache

## Class HeapResource

- java.lang.Object
- - org.apache.http.impl.client.cache.HeapResource

All Implemented Interfaces:
  Serializable, Resource

    @Contract(threading=IMMUTABLE)
    public class HeapResource
    extends Object
    implements Resource

Cache resource backed by a byte array on the heap.

Since:
  4.1
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`HeapResource(byte[] b)`

### Method Summary

Methods
`void` `dispose()` Indicates the system no longer needs to keep this response body and any system resources associated with it may be reclaimed.
`InputStream` `getInputStream()` Returns an `InputStream` from which the response body can be read.
`long` `length()` Returns the length in bytes of the response body.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### HeapResource

    public HeapResource(byte[] b)

### Method Detail

#### getInputStream

    public InputStream getInputStream()

Description copied from interface: `Resource`
Returns an `InputStream` from which the response body can be read.

Specified by:
  `getInputStream` in interface `Resource`

#### length

    public long length()

Description copied from interface: `Resource`
Returns the length in bytes of the response body.

Specified by:
  `length` in interface `Resource`

#### dispose

    public void dispose()

Description copied from interface: `Resource`
Indicates the system no longer needs to keep this response body and any system resources associated with it may be reclaimed.

Specified by:
  `dispose` in interface `Resource`